Get a visible project
GET
/v1/projects/{project_id}
const url = 'https://api-dev.impulsehosting.com/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api-dev.impulsehosting.com/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project_id
required
string format: uuid
Responses
Section titled “Responses”Project
Media typeapplication/json
object
id
required
string format: uuid
org_id
required
string format: uuid
name
required
string
slug
required
string
status
required
string
Examplegenerated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "org_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "slug": "example", "status": "example"}Resource not found
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}